/***************************************************************************
****************************************************************************
****************************************************************************
*
* Clobberd - By Jason Nunn
* Copyright (C) Jason Nunn
*
* Clobberd comes under the GNU General Public License. Please read the
* COPYING notice in this distribution.
*
* ================================================================
* sub routines for all clients in this directory
*
****************************************************************************
****************************************************************************
***************************************************************************/
#include <stdio.h>
#include "../common/defs.h"
#include "../common/common.h"
#include "../common/common_client.h"
#include "net_client_wrapper.h"

void init_and_connect(void)
{
  char str[STR_LEN_LN];

  client_init(
    common_atend_clean_up,fatal_memory_error_cb,net_get_entry_cb);

  if(!init_client_kon())
  {
    printf("Daemon is down. Aborting.\n");
    exit(-1);
  }

  sprintf(str,"%s %s",cmd_ver,VERSION);
  net_put_cmd(str);
  if(net_get_ret() != CO_SUCCESSFUL)
    exit(-1);
}
